Link (Gradle API 2.14.1)

org.gradle.plugins.ide.eclipse.model

## Class Link

- java.lang.Object
- - groovy.lang.GroovyObjectSupport
  - - org.gradle.plugins.ide.eclipse.model.Link

- All Implemented Interfaces:
    GroovyObject

      public class Link
      extends GroovyObjectSupport

  Link.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link(String name, String type, String location, String locationUri)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getLocation()`
    `String` | `getLocationUri()`
    `String` | `getName()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setLocation(String location)`
    `void` | `setLocationUri(String locationUri)`
    `void` | `setName(String name)`
    `void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class groovy.lang.GroovyObjectSupport

      `getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Link

          public Link(String name,
              String type,
              String location,
              String locationUri)

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getLocation

          public String getLocation()

    - #### setLocation

          public void setLocation(String location)

    - #### getLocationUri

          public String getLocationUri()

    - #### setLocationUri

          public void setLocationUri(String locationUri)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`